Name:          libvdpau
Version:       1.1.1
Release:       1mamba
Summary:       Video Decode and Presentation API for UNIX
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://freedesktop.org/wiki/Software/VDPAU
Source:        http://people.freedesktop.org/~aplattner/vdpau/libvdpau-%{version}.tar.gz
Patch0:        %{name}-0.4.1-track_dynamic_library_handles_and_free_them_on_exit.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: pkg-config
BuildRequires: tetex-latex
BuildRequires: xproto-devel
%if "%{stage1}" != "1"
Requires:      libvdpau-Mesa
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
VDPAU is the Video Decode and Presentation API for UNIX. It provides an interface to video decode acceleration and presentation hardware present in modern GPUs.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
VDPAU is the Video Decode and Presentation API for UNIX.

This package contains libraries and header files need for development.

%package docs
Group:         Documentation
Summary:       Documentation for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description docs
VDPAU is the Video Decode and Presentation API for UNIX.

This  package contains documentation for %{name}.

%prep
%setup -q
#%patch0 -p1
#autoreconf -vif

%build
%configure \
  --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/vdpau/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config %{_sysconfdir}/vdpau_wrapper.cfg
%{_libdir}/libvdpau.so.*
%dir %{_libdir}/vdpau
%{_libdir}/vdpau/libvdpau_trace.so*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/vdpau
%{_includedir}/vdpau/*.h
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

%files docs
%defattr(-,root,root)
%{_docdir}/libvdpau

%changelog
* Sat Sep 12 2015 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Wed Mar 11 2015 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic update by autodist

* Fri Jan 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-1mamba
- update to 0.9

* Wed Jul 02 2014 Automatic Build System <autodist@mambasoft.it> 0.8-1mamba
- automatic version update by autodist

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 0.7-1mamba
- automatic version update by autodist

* Sat Feb 02 2013 Automatic Build System <autodist@mambasoft.it> 0.6-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 0.5-1mamba
- automatic version update by autodist

* Fri Jun 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-3mamba
- require libvdpau-Mesa
- added upstream patch to track dynamic library handles

* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-2mamba
- rebuilt in devel

* Mon Mar 07 2011 gil <puntogil@libero.it> 0.4.1-1mamba
- package created by autospec
